A partir de jQuery 2.0 se abandonará el soporte para Internet Explorer 8 y anteriores


jQuery logo

jQuery es una de las librerías más populares entre los desarrolladores, algo que ha logrado a través de años de excelente soporte para la gestión e interacción en el diseño de documentos HTML, elementos DIN y hojas de estilos CSS. Y en el día de ayer sus desarrolladores han tomado una drástica decisión en pos de simplificar la vida a quienes día a día deben luchar para garantizar la compatibilidad de sus diseños con la mayor cantidad posible de navegadores.

Es que sin que les temblara el pulso han anunciado el final del soporte para Internet Explorer 6, 7 y 8, algo comprensible y totalmente fuera de discusión en el caso de los dos primeros, pero en en el caso de Internet Explorer 8 seguramente despertará alguna crítica entre algunos grupos de usuarios puesto que se trata de una versión que todavía es bastante utilizada a nivel masivo, y que de hecho para muchos es todavía la versión por defecto puesto que la siguiente, Internet Explorer 9, no cuenta con soporte para versiones anteriores a Windows Vista.

Esto lo han decidido para acelerar el desarrollo de jQuery, algo que sus responsables admiten que llevaba demasiado tiempo a causa de la lucha por ofrecer compatibilidad con navegadores demasiado viejos y desapegados a los estándares, algo por lo cual precisamente Internet Explorer 6 se ha vuelto tan odiado por diseñadores y desarrolladores de todos los rincones del planeta. Para quienes por fuerza deban seguir utilizando alguna de las versiones de IE que ya no serán soportadas habrá una versión especial de jQuery, la 1.9, que utilizará las mismas API de jQuery 2.0 y seguirá ofreciendo compatibilidad. con lo cual será si dudas un gran alivio principalmente para usuarios de Internet Explorer 8 ,que como decimos cuenta con bastantes usuarios ya que es la última que ofrece soporte para Windows XP.

Igualmente, se sabe que en el mundo del desarrollo las cosas hay que tomarlas con calma y seguir pasos bien firmes y preestablecidos, y cuando no se cuenta con los medios de Google o Mozilla no se puede seguir un ciclo de desarrollo tan veloz como el de Chrome o Firefox, así que de acuerdo al cronograma de los responsables de jQuery la próxima versión, la 1.9 ya comentada, llegará a comienzos del año próximo, e inmediatamente después llegará la versión 2.0 que es la que abandonará el soporte para versiones antiguas de IE. La rama 1.9.x, en tanto, seguirá siendo mantenida y se seguirá corrigiendo bugs para garantizar que quienes la utilicen puedan confiar en ella.

Via Blog de jQuery

via Visual Beta

Acerca de fabiancouto

Nacido en Montevideo, Desarrollador de software en @brujula_talk & owner de @TrabajoBalear. Adicto a la ironía y al sarcasmo. En busca de sabiduría y felicidad.

Publicado el 15 julio, 2012 en General y etiquetado en , . Guarda el enlace permanente. Deja un comentario.

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: